#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n; cin >> n;
	vector<double> a, p;
	for (int i = 0; i < n; i++)
	{
		double a1, p1;
		cin >> a1 >> p1;
		a.push_back(a1);
		p.push_back(p1/100);
	}
	double maks = -1;
	for (int i = 0; i < n; i++)
	{
		double temp = 0;
		for (int j = 0; j < n; j++)
			if (p[i] <= p[j])
				temp += a[j] * p[i];
		if (temp > maks)
			maks = temp;
	}
	printf("%.20g", maks);
}